
QGIS Application - Bug report #16010

intersection causes crash

2016-12-23 07:57 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 23925

Description

Doing the intersection with the QGIS native tool and the provided inputs it causes the program to hard crash.

Interestingly cleaning geometries (liblwgeom, v.clean) do not helps.

Associated revisions

Revision deb96673 - 2017-05-12 08:41 AM - Alexander Bruy

[processing] check symmetrical difference result before using it in

other geometry operations (fix #16010)

History

#1 - 2017-03-06 02:32 PM - Giovanni Manghi

- Affected QGIS version changed from 2.14.10 to 2.18.4

- Target version changed from Version 2.14 to Version 2.18

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-05-12 10:17 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|deb96673daf570c61c56fa1484ee5583603720cd.

#4 - 2017-05-12 11:55 AM - Giovanni Manghi

- Description updated

Many thanks for this Alex!

#5 - 2017-05-12 11:55 AM - Giovanni Manghi

- Resolution set to fixed/implemented
Files

int_crash.zip 696 KB 2016-12-23 Giovanni Manghi
